# Configuration file for the language: (Global)
# NOTE: This file is automatically generated by Enterprise Architect, changes made manually may be lost.
LEXER=colors

# (Default)
STYLE_DEFAULT=font:monospace,size:10,fore:#000000,back:#ffffff
SELECTION_BGCOLOR=#c0c0c0
WORDMATCH_BGCOLOR=#FF4500
STYLE_LINENUMBER=fore:#008054,back:#ffffff

# Brace Highlighting
STYLE_BRACELIGHT=bold,back:#ffffa0
STYLE_BRACEBAD=bold,fore:#ff0000

# Caret Line
CARET_LINE_BGCOLOR=#cad4e0

# Debugger
EXECUTION_LINE_BGCOLOR=#f7cdef
HIGHLIGHT_LINE_BGCOLOR=#9ed69a

# Comments
STYLE_COMMENT=fore:#008000
STYLE_COMMENTDOC=fore:#008000
STYLE_COMMENTDOCKEYWORD=bold,fore:#008000
STYLE_COMMENT_KEYWORD=fore:#3060A0
STYLE_COMMENT_KEYWORD_ERROR=fore:#804020

# Intellisense
STYLE_CALLTIP=font:sans-serif,size:9,back:#ffffe1

# Language
STYLE_WORD=fore:#0000ff
STYLE_WORD_EXTENDED=fore:#a000a0
STYLE_ASM=fore:#008080

# Literals
STYLE_CHARACTER=fore:#a31515
STYLE_CHARACTEREOL=back:#E0C0E0,eolfilled
STYLE_STRING=fore:#a31515
STYLE_STRINGEOL=back:#E0C0E0,eolfilled
STYLE_DATE=fore:#007F7F
STYLE_UUID=fore:#808000
STYLE_VERBATIM=fore:#a31515

# Preprocessor
STYLE_PREPROCESSOR=fore:#7F7F00

# Whitespace
STYLE_WHITESPACE=fore:#808080

# ADA
STYLE_DELIMITER=bold

# Batch Files
STYLE_COMMAND=bold
STYLE_LABEL=fore:#7F7F00
STYLE_HIDE=fore:#808000

# Code Generation Templates
STYLE_DIRECTIVE=fore:#008000
STYLE_VARIABLE=fore:#0000FF
STYLE_TEMPLATE_MACRO=bold,italic,fore:#800080
STYLE_FIELD_MACRO=bold,fore:#800080
STYLE_TAGGEDVALUE_MACRO=bold,fore:#008080
STYLE_FUNCTION_MACRO=bold,fore:#7F7F00
STYLE_CONTROL_MACRO=bold,fore:#008000

# Diff Files
STYLE_HEADER=bold,fore:#7F7F00
STYLE_POSITION=bold,fore:#00007f
STYLE_DELETED=back:#E0C0C0,eolfilled
STYLE_ADDED=back:#C0E0C0,eolfilled

# Embedded Scripts
STYLE_EMBEDDED_BLOCK=back:#ffffff,eolfilled
STYLE_EMBEDDED_DEFAULT=back:#ffffff,eolfilled
STYLE_EMBEDDED_WORD=bold,fore:#0000ff,back:#ffffff
STYLE_EMBEDDED_COMMENT=fore:#417f5f,back:#ffffff
STYLE_EMBEDDED_IDENTIFIER=back:#ffffff
STYLE_EMBEDDED_OPERATOR=back:#ffffff
STYLE_EMBEDDED_STRING=fore:#a31515,back:#ffffff
STYLE_EMBEDDED_NUMBER=back:#ffffff
STYLE_EMBEDDED_REGEX=back:#ffffff

# Grammar Files
STYLE_PRAGMA=fore:#0000FF
STYLE_HIGHLIGHT=fore:#008000
STYLE_RULE=bold,fore:#747474

# Properties Files
STYLE_SECTION=bold,fore:#7F7F00
STYLE_DEFVAL=fore:#7f0074
STYLE_KEY=fore:#0000ff

# Python
STYLE_CLASSNAME=bold,fore:#0000FF
STYLE_DEFNAME=bold,fore:#007F7F
STYLE_OPERATOR=bold
STYLE_DECORATOR=fore:#805000
STYLE_TRIPLESINGLESTRING=fore:#7F0000
STYLE_TRIPLEDOUBLESTRING=fore:#7F0000

# SQL
STYLE_TABLE=bold,fore:#7f7f00
STYLE_DATABASEOBJECTS=fore:#B00040

# Verilog
STYLE_TASK=fore:#800080
STYLE_TASK_EXTENDED=fore:#800080

# VHDL
STYLE_WORD_OPERATOR=bold,fore:#7f0055
STYLE_WORD_ATTRIBUTE=fore:#0000c0
STYLE_WORD_FUNCTION=fore:#808020
STYLE_WORD_PACKAGE=fore:#808000
STYLE_WORD_TYPE=bold,fore:#0000c0

# Visual Basic
STYLE_WORD_CONSTANT=fore:#a000a0

# XML
STYLE_TAG=fore:#3F7F7F
STYLE_ATTRIBUTE=fore:#AB00AB
STYLE_ENTITY=fore:#800080
STYLE_XMLDECL=fore:#3F7F7F
STYLE_CDATA=fore:#0E417F,back:#FFF0F0,eolfilled
STYLE_UNQUOTEDVALUE=fore:#FF00FF,back:#FFEFFF